#ifndef INCLUDE_GUARD_DET_H
#define INCLUDE_GUARD_DET_H

#include "R_api.h"

/**
 * Determinant of a matrix (or log of determinant)
 */
double det(
    /*       dim */ const int dimA,
    /*    matrix */ const double* A, const int ldA,
                    double* work_mem, int* info
);

#endif /* INCLUDE_GUARD_DET_H */
